<!doctype html>
<html lang="en">

<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
  <meta name="description" content="">
  <title>Time tracker · Semantic UI</title>
  <link rel="stylesheet" href="fontawesome/css/all.css" />
  <link rel="stylesheet" href="dist/css/main.css">
</head>

<body>

  <!-- START Template -->
  <script type="text/template">
    <div class="wrapper">
    
      <!-- START Sidebar -->
      <div class="sidebar-wrapper">
        <div class="ui vertical left visible menu">
          <div class="item">
            <h1 class="ui large header">Time tracker</h1>
          </div>
          <div class="item">
            <img class="ui avatar circular image" src="dist/img/avatar.png">
            {% assign activeUser = users | where: "id", options.activeUser | first %}
            <span><strong>{{ activeUser.name }}</strong></span>
          </div>
          <a class="blue item" href="index.html">
            <i class="tachometer alternate icon"></i>
            Dashboard
          </a>
          <a class="blue item" href="time.html">
            <i class="clock icon"></i>
            Time tracking
          </a>
          <a class="blue item" href="projects.html">
            <i class="th icon"></i>
            Projects
          </a>
          <a class="blue item" href="clients.html">
            <i class="star icon"></i>
            Clients
          </a>
          <a class="blue item" href="teams.html">
            <i class="users icon"></i>
            Teams
          </a>
          <a class="active blue item" href="users.html">
            <i class="address book icon"></i>
            Users
          </a>
          <a class="blue item" href="settings.html">
            <i class="cogs icon"></i>
            Settings
          </a>
        </div>
      </div>
      <!-- END Sidebar-->


      <!-- START Main -->
      <div class="main-wrapper">
        
        <div class="ui top menu ">
          <a class="item" id="js-open-nav"><i class="bars icon"></i> Menu</a>
          <div class="right menu">
            <a class="item" href="#" id="js-logout">Logout</a>
          </div>
        </div>

        <!-- START Content -->
        <div class="ui grid container">
          <div class="row">
            <div class="column">


            <h2 class="ui dividing header clearing">Users
              <div class="ui buttons mini right floated">
                <a href="../index.html" class="ui button">Change framework</a>
                <button class="ui button" id="js-load-data">Reset data</button>
              </div>
            </h2>
    
    
            <div class="ui grid stackable">

              <div class="sixteen wide column">
                <h3>All users</h3>
                <div class="ui cards">

                  {% for user in users %}
                  <div class="card">
                    <div class="image">
                      <img src="dist/img/avatar.png">
                    </div>
                    <div class="content">
                      <div class="header">{{ user.name }}</div>
                      <div class="meta">
                        Username: {{ user.username }}
                      </div>
                    </div>
                    <div class="extra content">
                      <span>
                        <i class="user icon"></i>
                        {% assign role = roles | where: "id", user.roleId %}
                        {{ role.first.name }}
                      </span>
                    </div>
                  </div>
                  {% endfor %}

                </div>
                <p></p>
                <a id="js-open-modal" class="ui button blue">
                  <i class="plus icon"></i> Add user
                </a>
              </div>


            </div>

            </div>
          </div>
        </div>
        <!-- END Content -->


      </div>
      <!-- END Main -->

    </div>

    <!-- START Modal -->
    <div class="ui modal small">
      <i class="close icon"></i>
      <div class="header">
        New user
      </div>
      <div class="content">
        <form class="ui form" id="js-add-user">
          <div class="field">
            <label>Name</label>
            <input type="text" name="name" placeholder="Name" required>
          </div>
          <div class="field">
            <label>Username</label>
            <input type="text" name="username" placeholder="Username" required>
          </div>
          <div class="field">
            <label>Roles</label>
            <select class="ui dropdown" name="roleId" required>
              <option value="" disabled selected hidden>Select role</option>
              {% for role in roles %}
                <option value="{{ role.id }}">{{ role.name }}</option>
              {% endfor %}
            </select>
          </div>

          <button class="ui button green" type="submit">Add user</button>
        </form>
      </div>
      <div class="actions">
        <div class="ui black deny button">
          Close
        </div>
      </div>
    </div>
    <!-- END Modal -->

  </script>
  <!-- END Template -->

  <div id="render">
  </div>

  <script src="dist/js/app.js"></script>
</body>

</html>